summaryrefslogtreecommitdiff
path: root/dev-util/cloc
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/cloc')
-rw-r--r--dev-util/cloc/Manifest1
-rw-r--r--dev-util/cloc/cloc-1.86.ebuild4
-rw-r--r--dev-util/cloc/cloc-1.88.ebuild31
-rw-r--r--dev-util/cloc/metadata.xml41
4 files changed, 55 insertions, 22 deletions
diff --git a/dev-util/cloc/Manifest b/dev-util/cloc/Manifest
index 474acfcf27d4..f115efbb60e9 100644
--- a/dev-util/cloc/Manifest
+++ b/dev-util/cloc/Manifest
@@ -1,2 +1,3 @@
DIST cloc-1.84.tar.gz 514868 BLAKE2B 53fa0f0d2c8033619f9f7202802e5fd51013c459bbeed8482a35050be69981e60f3c96879cc2853d509322933050fda52fe17be7ec393783f06a0df5e9cec785 SHA512 85f8af041b0ca858c21e28d3fb7cd9201264afa9e12bd3a14b15a8af3e6e68378dbb02a39dc12140bcbb104424cf38bfa602d2a0683e8c89fa50cbdcf7556b3a
DIST cloc-1.86.tar.gz 536828 BLAKE2B f584da0e25ae755a1450117774ec8fdb87eb693ac77473929a52e617713391eb4bffc2f6b74bbcd5b01f6e2c0d747221e3f7c4e74dfd6131d3cde10a3a102daa SHA512 fe6101404f5884d11bf73de43bd25e533b04a70707b95e4e9482b51413aed46ddb55beaa27e3d25cd7604394a739f7cac6c1f8695cd9cab3f23adf6e27171719
+DIST cloc-1.88.tar.gz 548402 BLAKE2B 0da417d907703e42c9c69e46f39792652e6eca49994a8008b0074899bfb999262d529432ab1e8a1c7cc80dc1fefc9514596f099a4238c4768618057ba3b180e8 SHA512 0acd152b387d3088d8bd35d121677d00accb03f882d83bfb34924915d40700b0c23bca1bde924d1999b5fa910503d33af230567fcc8f452f7d00a69caaaf8c4f
diff --git a/dev-util/cloc/cloc-1.86.ebuild b/dev-util/cloc/cloc-1.86.ebuild
index d2013f01d311..997b5bde73dd 100644
--- a/dev-util/cloc/cloc-1.86.ebuild
+++ b/dev-util/cloc/cloc-1.86.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -9,7 +9,7 @@ SRC_URI="https://github.com/AlDanial/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
DEPEND="dev-lang/perl"
RDEPEND="${DEPEND}
diff --git a/dev-util/cloc/cloc-1.88.ebuild b/dev-util/cloc/cloc-1.88.ebuild
new file mode 100644
index 000000000000..816f8e40db45
--- /dev/null
+++ b/dev-util/cloc/cloc-1.88.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Count Lines of Code"
+HOMEPAGE="https://github.com/AlDanial/cloc"
+SRC_URI="https://github.com/AlDanial/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+DEPEND="dev-lang/perl"
+RDEPEND="${DEPEND}
+ dev-perl/Algorithm-Diff
+ dev-perl/Parallel-ForkManager
+ dev-perl/Regexp-Common
+ virtual/perl-Digest-MD5
+ virtual/perl-File-Spec
+ virtual/perl-File-Temp
+ virtual/perl-Getopt-Long"
+
+src_compile() {
+ pod2man "Unix/${PN}.1.pod" > "${PN}.1" || die
+}
+
+src_install() {
+ doman "${PN}.1"
+ dobin "Unix/${PN}"
+}
diff --git a/dev-util/cloc/metadata.xml b/dev-util/cloc/metadata.xml
index dd5229bff56c..0141d5c7c094 100644
--- a/dev-util/cloc/metadata.xml
+++ b/dev-util/cloc/metadata.xml
@@ -1,21 +1,22 @@
-<?xml version='1.0' encoding='UTF-8'?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>tamiko@gentoo.org</email>
- <name>Matthias Maier</name>
- </maintainer>
- <maintainer type="person">
- <email>foerster.florianjr@gmail.com</email>
- <name>Florian Förster</name>
- </maintainer>
- <maintainer type="project">
- <email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
- </maintainer>
- <upstream>
- <remote-id type="github">AlDanial/cloc</remote-id>
- <bugs-to>https://github.com/AlDanial/cloc/issues</bugs-to>
- <remote-id type="sourceforge">cloc</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>tamiko@gentoo.org</email>
+ <name>Matthias Maier</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>foerster.florianjr@gmail.com</email>
+ <name>Florian Förster</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">AlDanial/cloc</remote-id>
+ <remote-id type="sourceforge">cloc</remote-id>
+ <bugs-to>https://github.com/AlDanial/cloc/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file